<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if (isset($_GET['start'])){$start = (int)$_GET['start'];} else {$start = 0;}
if(isset($_GET['st'])){$st=check($_GET["st"]);}else{unset($st);}
if(isset($_GET['ps'])){$ps=check($_GET["ps"]);}else{unset($ps);}
$link="/?p=$pages&amp;";
$title="Форум";
$usert=s_userdan(id);
if(all_dbname(s_forum_nast)==0){
$nfor['tema']=0;
$nfor['msg']=0;
}else{
$db_nast= "SELECT * FROM s_forum_nast WHERE `id`='1'";
$db_nastg = mysql_query($db_nast);
$nfor = mysql_fetch_array($db_nastg);
}



if($st==7 or $st==8){
if($numaz==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
if(isset($_GET['tema'])){$tema=(int)$_GET["tema"];}else{$tema=0;}
if(all_dbnamewatstatus(s_forum_tema,id,$tema,user,s_userdan(id))!=0 or $admin>0){
$db_forum="SELECT * FROM s_forum_tema WHERE `id`='".$tema."'";
$db_for=mysql_query($db_forum);
$db_f=mysql_fetch_array($db_for);
if(isset($_POST['zak'])){
$zak=check($_POST['zak']);
if($zak=="go"){
if($db_f['stat']==0) $stat=1; else $stat=0;
$sql=mysql_query("UPDATE `s_forum_tema` SET `stat`='$stat' WHERE `id`='$tema'");
unset($sql,$zak);
header ('Location: /?p='.$pages.'&st=4&tema='.$tema.'&'.SID); exit;
}
if($zak=="del"){
$sqdk = mysql_query("DELETE FROM s_forum_mgs WHERE `tema`='$tema'");
$sqdt = mysql_query("DELETE FROM s_forum_tema WHERE `id`='$tema'");
unset($sqdk,$sqdt,$zak);
header ('Location: /?p='.$pages.'&'.SID); exit;
}}
}else{
header ('Location:/?p='.$pages.'&'.SID); exit;
}}}
//////////////////////////////////////////////////////// Изменить тему
if($st==6){
if($numaz==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
if(isset($_GET['tema'])){$tema=(int)$_GET["tema"];}else{$tema=0;}
if(all_dbnamewatstatus(s_forum_tema,id,$tema,user,s_userdan(id))!=0 or $admin>0){
$db_forum="SELECT * FROM s_forum_tema WHERE `id`='".$tema."'";
$db_for=mysql_query($db_forum);
$db_f=mysql_fetch_array($db_for);
if(isset($_POST['add'])){
$add=check($_POST['add']);
if($add=="go"){
$nazvan=check($_POST["nazvan"]);
$text=check($_POST["text"]);
if((strlen($nazvan)>=5)&&(strlen($nazvan)<=150)){
if(all_dbnamewatstatus(s_forum_tema,podrazdel,$db_f['podrazdel'],name,$nazvan)==0){
if((strlen($text)>=10)&&(strlen($text)<=3000)){
$sql=mysql_query("UPDATE `s_forum_tema` SET `status`='".$nfor['tema']."',`name`='$nazvan',`mgs`='$text' WHERE `id`='$tema'");
unset($sql,$add);
header ('Location: /?p='.$pages.'&st=5&'.SID); exit;
}else{$error="В тексте темы указано менее 10 символов или более 3000 !";}
}else{$error="В данном подраздели уже есть подобная тема";}
}else{$error="В теме указано менее 5 символов или более 150 !";}
}}
}else{
header ('Location:/?p='.$pages.'&'.SID); exit;
}}}
////////////////////////////////////////////////////////////////////
if($st==5){
if($numaz==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}}

////////////////////////////////////////////////////////// Тема
if($st==4){
if(isset($_GET['tema'])){$tema=(int)$_GET["tema"];}else{$tema=0;}
if(all_dbnamewat(s_forum_tema,id,$tema)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
$db_forum="SELECT * FROM s_forum_tema WHERE `id`='".$tema."'";
$db_for=mysql_query($db_forum);
$db_f=mysql_fetch_array($db_for);
if(all_dbnamewatstatus(s_forum_podraz,id,$db_f['podrazdel'],status,0)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
if(all_dbnamewatstatus(s_forum_razdel,id,$db_f['razdel'],status,0)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{

if($db_f['status']==0 && $db_f['stat']==0 && isset($_POST['add']) && $numaz!=0){
$add=check($_POST['add']);
if($add=="go"){
$text=check($_POST["text"]);
if((strlen($text)>=10)&&(strlen($text)<=3000)){
if(all_dbnamewatstatus(s_forum_mgs,tema,$tema,mgs,$text)==0){

$sql = mysql_query("INSERT INTO s_forum_mgs (id,razdel,podrazdel,tema,status,user,time,mgs) Values ('','".$db_f['razdel']."','".$db_f['podrazdel']."','$tema','".$nfor['mgs']."','".s_userdan(id)."','".time()."','$text')",$db);
unset($sql,$add);
header ('Location: /?p='.$pages.'&st='.$st.'&tema='.$tema.'&'.SID); exit;
}else{$error="В данной теме есть подобный ответ";}
}else{$error="В тексте темы указано менее 10 символов или более 3000 !";}
}}
}}}}
///////////////////////////////////////////////////// Подразделы и добавить тему
if($st==2 or $st==3){
if(isset($_GET['praz'])){$praz=(int)$_GET["praz"];}else{$praz=0;}
if(all_dbnamewat(s_forum_podraz,id,$praz)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
$db_forum="SELECT * FROM s_forum_podraz WHERE `id`='".$praz."'";
$db_for=mysql_query($db_forum);
$db_f=mysql_fetch_array($db_for);
if(all_dbnamewatstatus(s_forum_razdel,id,$db_f['razdel'],status,0)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
if($st==3 && isset($_POST['add']) && $numaz!=0){
$add=check($_POST['add']);
if($add=="go"){
$nazvan=check($_POST["nazvan"]);
$text=check($_POST["text"]);
if((strlen($nazvan)>=5)&&(strlen($nazvan)<=150)){
if(all_dbnamewatstatus(s_forum_tema,podrazdel,$praz,name,$nazvan)==0){
if((strlen($text)>=10)&&(strlen($text)<=3000)){
$sql = mysql_query("INSERT INTO s_forum_tema (id,razdel,podrazdel,user,status,stat,time,name,mgs,pozitzia) Values ('','".$db_f['razdel']."','$praz','".s_userdan(id)."','".$nfor['tema']."','0','".time()."','$nazvan','$text','".time()."')",$db);
unset($sql,$add);
header ('Location: /?p='.$pages.'&st=2&praz='.$praz.'&'.SID); exit;
}else{$error="В тексте темы указано менее 10 символов или более 3000 !";}
}else{$error="В данном подраздели уже есть подобная тема";}
}else{$error="В теме указано менее 5 символов или более 150 !";}
}}}}}

//////////////////////////////////////////////////// Разделы
if($st==1){
if(isset($_GET['raz'])){$raz=(int)$_GET["raz"];}else{$raz=0;}
if(all_dbnamewat(s_forum_razdel,id,$raz)==0){
header ('Location:/?p='.$pages.'&'.SID); exit;
}else{
$db_forum="SELECT * FROM s_forum_razdel WHERE `id`='".$raz."'";
$db_for=mysql_query($db_forum);
$db_f=mysql_fetch_array($db_for);
}
}
////////////////////////////////////////////////////////////////////////


 ?>